Scriptname AddItemMenu2 hidden

Function AIM2_DebugTrace(string str) global native

string[] Function AIM2_GetEntries(int mode, string str) global native
bool Function AIM2_GetItems(int enrtyIndex, Formlist[] lists, string str = "") global native
int Function AIM2_GetQuantity(int itemType = 0) global native
int Function AIM2_GetOrderListSize() global native
string Function AIM2_GetLanguageString(string str) global native
int Function AIM2_GetClipboardKeyCode() global native
string Function AIM2_GetClipboardText() global native
bool Function AIM2_SetClipboardText(string str) global native

Function AIM2_CloseAllMenu() global
	Game.DisablePlayerControls()
	Game.EnablePlayerControls()
EndFunction

UIMenuBase Function AIM2_GetMenu(String modeString, bool bReset = true) global
	UIMenuBase menuBase = None
	if (modeString == "list")
		menuBase = (Game.GetFormFromFile(0x3319, "AddItemMenu2.esp") as UIMenuBase)
	elseif (modeString == "text")
		menuBase = (Game.GetFormFromFile(0x8EC2, "AddItemMenu2.esp") as UIMenuBase)
	endif
	if (menuBase)
		if (bReset)
			menuBase.ResetMenu()
		Endif
		return menuBase
	Endif
	return None
EndFunction

; ---- Text -----------------------------------------

bool Function AIM2_InitTextMenu() global
	UIMenuBase menuBase = AIM2_GetMenu("text", true)
	if (menuBase)
		return true
	endif
	return false
endFunction

string Function AIM2_OpenTextMenu(string text, Form akForm = None, Form akReceiver = None) global
	AIM2_GetMenu("text", false).SetPropertyString("text", text)
	AIM2_GetMenu("text", false).OpenMenu(akForm, akReceiver)
	return AIM2_GetMenu("text", false).GetResultString()
endFunction

; ---- List -----------------------------------------

bool Function AIM2_InitListMenu() global
	UIMenuBase menuBase = AIM2_GetMenu("list", true)
	if (menuBase)
		return true
	endif
	return false
EndFunction

int Function AIM2_OpenListMenu(Form akForm = None, Form akReceiver = None) global
	return AIM2_GetMenu("list", false).OpenMenu(akForm, akReceiver)
EndFunction

int Function AIM2_GetListResultInt() global
	return AIM2_GetMenu("list", false).GetResultInt()
EndFunction

string Function AIM2_GetListResultString() global
	return AIM2_GetMenu("list", false).GetResultString()
EndFunction
