Scriptname AddItemMenu2MagicEffect extends activemagiceffect  

import AddItemMenu2

bool Property searchOption Auto
MiscObject Property searchObject Auto
AddItemMenu2ContainerScript property ContainerScript Auto

Event OnEffectStart(Actor akTarget, Actor akActor)

	if (akActor != Game.GetPlayer())
		return
	endif
	
	if (!AIM2_InitListMenu() || !AIM2_InitTextMenu())
		return
	endif

	string searchText = ""
	searchObject.SetName("")

	bool itemSearch = searchOption
	bool loop = true
	int resultIndex = -1

	if (itemSearch)
		searchText = AIM2_OpenTextMenu(searchText)
		searchObject.SetName(searchText)

		AIM2_DebugTrace("AIM2_GetEntries "+ (AIM2_GetEntries(0, searchText)).length)

		if ((AIM2_GetEntries(0, searchText)).length == 1)
			loop = false
			resultIndex = 999
		endif
	endif

	while(loop)
		int menuResult = AIM2_OpenListMenu(searchObject)
		if (menuResult == 1)
			loop = false
		elseif (menuResult == -1)
			; 
		elseIf (menuResult == -2)
			searchText = AIM2_OpenTextMenu(searchText)
			searchObject.SetName(searchText)
			itemSearch = true

			if ((AIM2_GetEntries(0, searchText)).length == 1)
				loop = false
				resultIndex = 999
			endif
		else
			return
		endif
	endWhile

	if (resultIndex != 999)
		resultIndex = AIM2_GetListResultInt()
	endif

	if (itemSearch)
		if (resultIndex != 999)
			searchText = ""
			itemSearch = false
		endif
	else
		searchText = ""
	endif
	
	if (ContainerScript.Ready(resultIndex, itemSearch, searchText))
		ContainerScript.Open(akActor)
	else
		Debug.Notification("$AIM2_NOT_FOUND")
	endif
endEvent

; waste
Formlist[] Property lists Auto
ObjectReference Property Chest Auto
